# no useful debuginfo output
%global debug_package %{nil}

Name:           pure-gen
Version:        0.15
Release:        2%{?dist}
Summary:        A Pure C bindings generator

License:        BSD
URL:            http://code.google.com/p/pure-lang/
Source0:        http://pure-lang.googlecode.com/files/pure-gen-%{version}.tar.gz
Patch0:         pure-gen-0.15-adjust_test_output.patch
Patch1:         pure-gen-0.15-adjust_test_output_i386.patch

BuildRequires:  llvm
BuildRequires:  pure-devel
BuildRequires:  ghc-language-c-devel
Requires:       gcc

%description
A Pure C bindings generator. Written by Albert Graef, based on Scott
Dillard's original OpenGL bindings generator.


%prep
%setup -q
%if 0%{?fedora} >= 17
# pure-gen output contains additional lines
%ifarch %{ix86}
%patch1 -p1 -b .adjust_test_output_i386
%else
%patch0 -p1 -b .adjust_test_output
%endif
%endif


%build
# prefix auto-detection broken by usrmove,
#  since /bin still appears before /usr/bin
make prefix=%{_prefix} libdir=%{_libdir} %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install prefix=%{_prefix} libdir=%{_libdir} DESTDIR=$RPM_BUILD_ROOT


%check
./run-tests


%files
%doc COPYING ChangeLog README* examples
%{_bindir}/pure-gen
%{_libdir}/pure-gen
%{_mandir}/man1/pure-gen.1*


%changelog
* Wed Feb 15 2012 Michel Salim <salimma@fedoraproject.org> - 0.15-2
- Adjust test suite's expected pure-gen output on Fedora 17 and above
- Add runtime dependency on gcc
- Explicitly pass prefix since auto-detection is broken by usrmove

* Fri Feb  3 2012 Michel Salim <salimma@fedoraproject.org> - 0.15-1
- Update to 0.15

* Tue Sep 27 2011 Michel Salim <salimma@fedoraproject.org> - 0.13-1
- Update to 0.13
- Adjust build dependencies

* Thu Sep  8 2011 Michel Salim <salimma@fedoraproject.org> - 0.12-1
- Initial package
